Bug 170187 - /usr/lib/libSDL-1.2.so.0.7.1 is marked as needing an executable stack
/usr/lib/libSDL-1.2.so.0.7.1 is marked as needing an executable stack
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 10:16 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-27 08:45:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Coker 2005-10-08 10:16:43 EDT
From Bugzilla Helper: User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.91 (like Gecko)  Description of problem:   GNU_STACK      0x000000 0x00000000 0x00000000 0x00000 0x00000 RWE 0x4    Above is the GNU_STACK marking of this shared object.  A quick test with the  civclient program suggests that it doesn't really need this (it appears to  work without it).    I suspect that it should be shipped as "RW".  If it can't be then that's a bug  too.   Version-Release number of selected component (if applicable): 1.2.8-3.2  How reproducible: Always  Steps to Reproduce: 1. 2. 3.     Additional info:
Comment 1 Thomas Woerner 2005-11-11 11:21:13 EST
Ok, when should I turn off executable stack?

execstack says, that libSDL requires exec stack:

$ execstack -q /usr/lib/libSDL-1.2.so.0.7.1
X /usr/lib/libSDL-1.2.so.0.7.1

The output of obdum is this:

$ objdump -p /usr/lib/libSDL-1.2.so.0.7.1 | grep -i stack
   STACK off    0x00000000 vaddr 0x00000000 paddr 0x00000000 align 2**2

What to do?
Comment 2 Russell Coker 2005-11-12 00:52:40 EST
http://people.redhat.com/drepper/nonselsec.pdf 
 
The above URL has all the information you need. 
 
For an assembler file you need to add -Wa,--execstack to the compiler 
command-line. 
Comment 3 Tom London 2006-01-25 11:27:16 EST
execstack for libSDL prevents ekiga from starting.

Comment 4 Dawid Gajownik 2006-01-25 14:30:20 EST
You may want to steal^Wborrow some patches from Gentoo ;-)
http://catmur.co.uk/gentoo/trees/gentopia/media-libs/libsdl/files/ (I'm not
shure whether this mirror is up-to-date)
http://catmur.co.uk/gentoo/trees/gentopia/media-libs/libsdl/files/libsdl-1.2.9-no-exec-stack.patch
Comment 5 Thomas Woerner 2006-01-27 08:45:20 EST
Fixed in rawhide in rpm SDL-1.2.9-5.

Note You need to log in before you can comment on or make changes to this bug.